View Issue Details

IDProjectCategoryView StatusLast Update
0033615LazarusIDEpublic2018-06-20 17:06
ReporterAfrican Wild Dog Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.8.2 
Summary0033615: [Lazarus: CodeTools] Find Procedure Definition in Mode Delphi + Generics not working
DescriptionFind Procedure Definition (default shortcut: Ctrl + Shift + Up) fails in mode delphi when using generic classes.
Steps To Reproduce1) Copy the following code into editor:

===== CODE BEGIN =====

program editor_error;

{$mode delphi}{$H+}

type

  { TGenericClass }

  TGenericClass<T> = class
  public
    procedure Foo;
  end;

procedure TGenericClass<T>.Foo;
begin

end;

begin
end.

===== CODE END =====


2) Try to use the Find Procedure Definition (default shortcut: Ctrl + Shift + Up) in the method TGenericClass<T>.Foo. You will get the error: "expected ., but Foo found".
TagsNo tags attached.
Fixed in Revision57732
LazTarget-
Widgetset
Attached Files

Relationships

related to 0033881 resolvedJuha Manninen Codetools can't handle a specialized class in mode Delphi. 

Activities

Mattias Gaertner

2018-04-27 19:36

manager   ~0108027

Fixed in trunk.

Issue History

Date Modified Username Field Change
2018-04-17 01:17 African Wild Dog New Issue
2018-04-17 19:41 Mattias Gaertner Assigned To => Mattias Gaertner
2018-04-17 19:41 Mattias Gaertner Status new => assigned
2018-04-27 19:36 Mattias Gaertner Fixed in Revision => 57732
2018-04-27 19:36 Mattias Gaertner LazTarget => -
2018-04-27 19:36 Mattias Gaertner Note Added: 0108027
2018-04-27 19:36 Mattias Gaertner Status assigned => resolved
2018-04-27 19:36 Mattias Gaertner Resolution open => fixed
2018-06-20 17:06 Michl Relationship added related to 0033881